Bug 809622 - [as7] a bunch of DataSource metrics return null values
[as7] a bunch of DataSource metrics return null values
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.4.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-03 16:20 EDT by Ian Springer
Modified: 2013-09-01 06:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:16:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-04-03 16:20:05 EDT
The following metrics on the DataSource Resource type return null values:

[PreparedStatementCacheCurrentSize,
 PreparedStatementCacheMissCount, PreparedStatementCacheAddCount,
 PreparedStatementCacheAccessCount,
 PreparedStatementCacheDeleteCount,
 PreparedStatementCacheHitCount, AverageBlockingTime, ActiveCount,
 CreatedCount, MaxCreationTime, TotalCreationTime, AvailableCount,
 MaxUsedCount, TotalBlockingTime, AverageCreationTime,
 DestroyedCount]
Comment 1 Ian Springer 2012-04-03 16:20:32 EDT
From Heiko:

Those have moved into:

statistics=pool
and
statistics=jdbc

[standalone@localhost:9999 statistics=pool] cd ../statistics=

jdbc   pool
[standalone@localhost:9999 statistics=pool] cd ../statistics=jdbc
[standalone@localhost:9999 statistics=jdbc]
:read-resource(include-runtime=true)
{
    "outcome" => "success",
    "result" => {
        "PreparedStatementCacheAccessCount" => "0",
        "PreparedStatementCacheAddCount" => "0",
        "PreparedStatementCacheCurrentSize" => "0",
        "PreparedStatementCacheDeleteCount" => "0",
        "PreparedStatementCacheHitCount" => "0",
        "PreparedStatementCacheMissCount" => "0"
    }
}
Comment 2 Heiko W. Rupp 2012-04-04 05:05:22 EDT
master 9355839c5b2a

( The integration tests for as7 should pick that up )
Comment 3 Heiko W. Rupp 2012-04-04 06:12:56 EDT
Putting back on dev -- for domain mode those are on server level and not on profile level.
Comment 4 Charles Crouch 2012-04-24 10:57:11 EDT
Metric related issues are not blockers for 4.4
Comment 5 Stefan Negrea 2012-05-09 23:18:45 EDT
This has been fixed as part of bug 806240. 

Datasources resource has been split into three resources based on the parent type (Standalone, Managed, and Profile). Each resource has now only applicable properties, metrics and operations.
Comment 7 Heiko W. Rupp 2013-09-01 06:16:34 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.